/*
  Name: keyStatesClass.h
  Copyright: Polecatsoft 2005
  Game: Tough Terry
  Author: Master Lenman
  Date: 16.07.05 14:43
  Description: This class allows to get the state of a key,
	  but you cannot hold down the key
*/

#ifndef KEYSTATES_CLASS
#define KEYSTATES_CLASS

#include <string>

class keyStatesClass
{
private:
	//Key array to save the keystates
	int pressedKeys[KEY_MAX];

	int getKey(int i);
public:
	keyStatesClass();
	int operator[](int id);
	void resetAll();
	void setState(int id, int value);
	bool anyKey();
};

extern keyStatesClass keyStates;

extern const std::string keyNames[KEY_MAX];

#endif
